/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { StrategyBasedIndicator } from "./StrategyBasedIndicator";
import { RelativeStrengthIndexIndicatorStrategy } from "./RelativeStrengthIndexIndicatorStrategy";
import { typeGetValue, markType } from "igniteui-react-core/ES2015/type";
export class RelativeStrengthIndexIndicator extends StrategyBasedIndicator {
    constructor() {
        super();
        this.o8 = 1;
    }
    get_p0() {
        return new RelativeStrengthIndexIndicatorStrategy();
    }
    get p0() {
        return this.get_p0();
    }
    get_qd() {
        return RelativeStrengthIndexIndicator.$;
    }
    get qd() {
        return this.get_qd();
    }
    get ql() {
        return typeGetValue(this.c(RelativeStrengthIndexIndicator.qm));
    }
    set ql(a) {
        this.h(RelativeStrengthIndexIndicator.qm, a);
    }
    p6() {
        return this.ql;
    }
    qf(a) {
        this.ql = a;
    }
}
RelativeStrengthIndexIndicator.qm = StrategyBasedIndicator.qi(14, RelativeStrengthIndexIndicator.$);
RelativeStrengthIndexIndicator.$t = markType(RelativeStrengthIndexIndicator, 'RelativeStrengthIndexIndicator', StrategyBasedIndicator.$);
/*<BeginStatics Name="Infragistics.Controls.Charts.RelativeStrengthIndexIndicator" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.RelativeStrengthIndexIndicator" />*/
